# all files / ol/ imagebase.js

100% Statements 31/31
100% Branches 0/0
100% Functions 7/7
100% Lines 31/31

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44
    45
    46
    47
    48
    49
    50
    51
    52
    53
    54
    55
    56
    57
    58
    59
    60
    61
    62
    63
    64
    65
    66
    67
    68
    69
    70
    71
    72
    73
    74
    75
    76
    77
    78
    79
    80
    81
    82
    83
    84
    85
    86
    87
    88
    89
    90
    91
    92
    93
    94
    95
    96
    97
    98
    99
    100
    101
    102
    103
    104
    105
    106
    107
    108
    109
    110
    111
    112
    113
    114
    115
    116
    117
    118
    119
    120
    121
    122
    123
    124
    125
    126
    127
    128
    1291×
    1×

    1×
    1×
    1×
    1×
    1×

    1×

    1×

    90×

    90×

    90×

    90×

    90×

    90×

    1×

    1×
    113×

    1×
    54×

    1×
    161×

    1×

    1×
    56×

    1×
    56×
    56×

    1×
    401×

    1×
     goog.provide('ol.ImageBase');
    goog.provide('ol.ImageState');

    goog.require('goog.asserts');
    goog.require('ol.events.EventTarget');
    goog.require('ol.events.EventType');
    goog.require('ol.Attribution');
    goog.require('ol.Extent');

    /**
     * @enum {number}
     */
    ol.ImageState = {
      IDLE: 0,
      LOADING: 1,
      LOADED: 2,
      ERROR: 3
    };

    /**
     * @constructor
     * @extends {ol.events.EventTarget}
     * @param {ol.Extent} extent Extent.
     * @param {number|undefined} resolution Resolution.
     * @param {number} pixelRatio Pixel ratio.
     * @param {ol.ImageState} state State.
     * @param {Array.<ol.Attribution>} attributions Attributions.
     */
    ol.ImageBase = function(extent, resolution, pixelRatio, state, attributions) {

      goog.base(this);

      /**
       * @private
       * @type {Array.<ol.Attribution>}
       */
      this.attributions_ = attributions;

      /**
       * @protected
       * @type {ol.Extent}
       */
      this.extent = extent;

      /**
       * @private
       * @type {number}
       */
      this.pixelRatio_ = pixelRatio;

      /**
       * @protected
       * @type {number|undefined}
       */
      this.resolution = resolution;

      /**
       * @protected
       * @type {ol.ImageState}
       */
      this.state = state;

    };
    goog.inherits(ol.ImageBase, ol.events.EventTarget);

    /**
     * @protected
     */
    ol.ImageBase.prototype.changed = function() {
      this.dispatchEvent(ol.events.EventType.CHANGE);
    };

    /**
     * @return {Array.<ol.Attribution>} Attributions.
     */
    ol.ImageBase.prototype.getAttributions = function() {
      return this.attributions_;
    };

    /**
     * @return {ol.Extent} Extent.
     */
    ol.ImageBase.prototype.getExtent = function() {
      return this.extent;
    };

    /**
     * @param {Object=} opt_context Object.
     * @return {HTMLCanvasElement|Image|HTMLVideoElement} Image.
     */
    ol.ImageBase.prototype.getImage = goog.abstractMethod;

    /**
     * @return {number} PixelRatio.
     */
    ol.ImageBase.prototype.getPixelRatio = function() {
      return this.pixelRatio_;
    };

    /**
     * @return {number} Resolution.
     */
    ol.ImageBase.prototype.getResolution = function() {
      goog.asserts.assert(this.resolution !== undefined, 'resolution not yet set');
      return this.resolution;
    };

    /**
     * @return {ol.ImageState} State.
     */
    ol.ImageBase.prototype.getState = function() {
      return this.state;
    };

    /**
     * Load not yet loaded URI.
     */
    ol.ImageBase.prototype.load = goog.abstractMethod;